//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: inmueble_balance_financiamientos_bsws.js
// Created: 2015-11-01
// Updates: 2015-11-01
//-------------------------------------------------------//
//-------------------------------------------------------//
var weekdays 	= new Array("Domingo", "Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado");
var months 		= new Array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
var today 		= new Date();
var weekday 	= today.getDay();
var monthday 	= today.getDate();
var month 		= today.getMonth();
var year 		= today.getFullYear();
var weekday		= weekdays[weekday];
var month 		= months[month];
var dateString	= (String(weekday))+" "+(String(monthday))+" DE "+(String(month))+", "+(String(year));
var Prop		= document.form.propietarios.value;
var isIE 		= document.all?true:false;
var isNS 		= document.layers?true:false;
var exp_id		= document.form.i8_expediente_id.value;	
var appid		= document.data.appid.value;
var lan			= document.data.lan.value;
var xmlHttp11;
var xmlHttpStream11;
//-------------------------------------------------------//
window.onload = function(){
	var w = document.form.width.value;
	var h = document.form.height.value;
	document.form.fecha_emision.value 		= dateString;
	document.form.fecha_vencimiento.value	= dateString;	
	document.form.dt_vencimiento.value 		= GetFechaHoy();

	window.resizeTo(w,h);
	comprobar_estado();
	capturar_usuario();
	GetFinanciamientos()
}
//-------------------------------------------------------//
if (window.ActiveXObject){
	var Propietarios = new ActiveXObject("Microsoft.XMLDOM");
	Propietarios.async=false;
	Propietarios.loadXML(Prop);
}else if (document.implementation && document.implementation.createDocument){
	var Propietarias = document.implementation.createDocument("","",null);
	Propietarios= document.implementation.createDocument("","",null);
	Propietarios.loadXML(Prop);
}else{
	alert('Your browser cannot handle this script');
}
function onlyDigits(e,decReq) {
	var key = (isIE) ? window.event.keyCode : e.which;
	var obj = (isIE) ? event.srcElement : e.target;
	var isNum = (key > 47 && key < 58) ? true:false;
	var dotOK = (key==46 && decReq=='decOK' && (obj.value.indexOf(".")<0 || obj.value.length==0)) ? true:false;
	window.event.keyCode = (!isNum && !dotOK && isIE) ? 0:key;
	e.which = (!isNum && !dotOK && isNS) ? 0:key;
	return (isNum || dotOK);
}
function CambiarVencimiento(){
	var value	= document.form.dt_vencimiento.value;
	var Members 	= value.split("-");
	var NewDate	= new Date(Members[0],Members[1]-1,Members[2]);
	var NewString	= (String(weekdays[NewDate.getDay()]))+" "+(String(NewDate.getDate()))+" DE "+(String(months[NewDate.getMonth()]))+", "+(String(NewDate.getFullYear()));
	document.form.fecha_vencimiento.value = NewString.toUpperCase();
}
function CleanFechas(chk){
	if(chk==true){

	}else{
		document.form.dt_futuro.value="";
		document.form.dt_corte.value="";
		document.form.dt_corte1.value="";		
	}
}
function capturar_usuario(){
    var URL     = "/cgi-bin/"+appid+"/pl/capturar_usuario.pl?appid="+appid+"&lan="+lan+"&id="+exp_id;
    xmlHttp11	= GetXmlHttpObject(stateChangedCapturar);
    xmlHttp11.open("GET",URL,true) ;
    xmlHttp11.send(null);
}
function stateChangedCapturar(){
    if (xmlHttp11.readyState==4 || xmlHttp11.readyState=="complete"){ 
        xmlHttpStream11=xmlHttp11.responseText;
		//alert(xmlHttpStream11);
        if (xmlHttpStream11!="false" && xmlHttpStream11!=""){
			var respuesta	= xmlHttpStream11;
			var respuestas	= respuesta.split("|");
			var usuario		= respuestas[0];
			var fin  		= respuestas[1];
			var ultima_modificacion  = respuestas[2];
			document.form.v128_usuario.value = usuario;
			document.form.dt_ultima_modificacion.value = ultima_modificacion;
        }
    } 
}
function comprobar_estado(){
    if(document.form.c16_estado.value!="ACEPTADO"){
       if(document.form.c16_estado.value!="REUNIDO"){
			alert("El estado del inmueble es: "+document.form.c16_estado.value+",\npor lo tanto no podra ser mostrada la informacion del estado de cuenta.\nEl estado se modifico por ultima vez: "+document.form.ts_update.value);
			document.form.pago_parcial.disabled="true"; //deshabilitando boton para facturar
			document.form.go.disabled="true"; //deshabilitando boton para generar estado de cuenta
			document.form.paga.disabled="true"; //deshabilitando checkbox de corte
			return;
        }
    }
    GetPageParams();  
}
//--------------------------------------------------------//
function ActivarOpciones() {
	if (document.all.opciones_div.style.display=='inline') {
		document.all.opciones_div.style.display	= 'none';
    }else{
		document.all.opciones_div.style.display	= 'inline';		
	}
}